org.apache.lucene.index

## Class FixBrokenOffsets

- java.lang.Object
- - org.apache.lucene.index.FixBrokenOffsets

-     public class FixBrokenOffsets
      extends Object

  Command-line tool that reads from a source index and writes to a dest index, correcting any broken offsets in the process.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SegmentInfos` | `infos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixBrokenOffsets()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### infos

          public SegmentInfos infos

  - ### Constructor Detail

    - #### FixBrokenOffsets

          public FixBrokenOffsets()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws IOException

      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.